IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_110_ANJIYO_RAPOR_KAYIT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_110_ANJIYO_RAPOR_KAYIT
GO

CREATE PROCEDURE [dbo].[SPUSS_110_ANJIYO_RAPOR_KAYIT] 
	@HDOSYAID INT=0,
	@HTETKIKKARTID INT=0,
	@TUMUNUTEKRAR BIT = 0
	 	 
AS
BEGIN
	--SPUSS_110_ANJIYO_RAPOR_KAYIT 165651,0,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @goNDERIMTABLOSU TABLE 
		(
			goNDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPTETKIKSONUC') IS NOT NULL 
	DROP TABLE #TMPTETKIKSONUC

	IF OBJECT_ID('tempdb..#TMPTETKIK') IS NOT NULL 
	DROP TABLE #TMPTETKIK

	IF OBJECT_ID('tempdb..#TMPTETKIKKART') IS NOT NULL 
	DROP TABLE #TMPTETKIKKART


	SELECT	HTETKIK.HTETKIKID AS HTETKIK_HTETKIKID,
			HTETKIK.HTETKIKKARTID AS HTETKIK_HTETKIKKARTID,
			HTETKIK.HESAPISLID AS HTETKIK_HESAPISLID,
			
			HTETKIK.DURUM AS HTETKIK_DURUM,
			HTETKIK.TETKIKDOKTORID AS HTETKIK_TETKIKDOKTORID,

			CASE WHEN (HTETKIK.ORNEKTARIHI < HTETKIK.KABULTARIH) AND 
			(HTETKIK.KABULTARIH < HTETKIK.SONUCTARIH) AND ( HTETKIK.SONUCTARIH < HTETKIK.ONAYZAMANI) THEN
			HTETKIK.SONUCTARIH	ELSE DATEADD(MINUTE,7,HESAPISL.ITARIH) END 
																		AS HTETKIK_RAPOR_TARIHI,				
			HTETKIK.HTSONUC												AS USS_110_ANJIYO_RAPOR_KAYIT_ANJIYOGRAFI_SONUC,
			HTETKIK.HTRAPORU											AS USS_110_ANJIYO_RAPOR_KAYIT_ANJIYOGRAFI_KARAR,
			USS_110_ANJIYO_RAPOR_KAYIT.KORONER_SISTEM_BASKINLIK_BILGISI AS USS_110_ANJIYO_RAPOR_KAYIT_KORONER_SISTEM_BASKINLIK_BILGISI,            
			USS_110_ANJIYO_RAPOR_KAYIT.LEFT_DOMINANCE					AS USS_110_ANJIYO_RAPOR_KAYIT_LEFT_DOMINANCE,
			USS_110_ANJIYO_RAPOR_KAYIT.RIGHT_DOMINANCE					AS USS_110_ANJIYO_RAPOR_KAYIT_RIGHT_DOMINANCE,
			HTETKIK.AccessionNo											AS HTETKIK_ACCESSION_NUMBER,
			HESAPISL.HESAPISLID											AS HESAPISL_ISLEM_REFERANS_NUMARASI ,
			USS_110_ANJIYO_RAPOR_KAYIT.DAMAR_DARLIK_BILGISI				AS USS_110_ANJIYO_RAPOR_KAYIT_DAMAR_DARLIK_BILGISI,
			USS_110_ANJIYO_RAPOR_KAYIT.DAMAR_YAPISI						AS USS_110_ANJIYO_RAPOR_KAYIT_DAMAR_YAPISI,
			USS_110_ANJIYO_RAPOR_KAYIT.TROMBUS							AS USS_110_ANJIYO_RAPOR_KAYIT_TROMBUS,
			USS_110_ANJIYO_RAPOR_KAYIT.DISEKSIYON						AS USS_110_ANJIYO_RAPOR_KAYIT_DISEKSIYON ,
			USS_110_ANJIYO_RAPOR_KAYIT.LEZYON_UZUNLUGU					AS USS_110_ANJIYO_RAPOR_KAYIT_LEZYON_UZUNLUGU,
			USS_110_ANJIYO_RAPOR_KAYIT.BIFURKASYON						AS USS_110_ANJIYO_RAPOR_KAYIT_BIFURKASYON,
			USS_110_ANJIYO_RAPOR_KAYIT.YAVAS_AKIM						AS USS_110_ANJIYO_RAPOR_KAYIT_YAVAS_AKIM,
			USS_110_ANJIYO_RAPOR_KAYIT.DIGER							AS USS_110_ANJIYO_RAPOR_KAYIT_DIGER,
			TITEM.ITEMKODU2												AS USS_110_ANJIYO_RAPOR_KAYIT_UYGULANAN_ISLEM_REFERANS_NUMARASI,

			HESAPISL.SNOgoNDERILDI AS HESAPISL_SNOgoNDERILDI,
			
			TITEM.ITEMADI AS TITEM_ITEMADI,
			ISNULL(UYGDR.DRTCKIMLIKNO,'') AS TTETKIKDOKTOR_HEKIM_KIMLIK_NUMARASI,
			USS_110_ANJIYO_RAPOR_KAYIT.VENTRIKULOGRAFI_DUVAR_BOLGESI_DEGERLENDIRMESI     AS VENTRIKULOGRAFI_DUVAR_BOLGESI_DEGERLENDIRMESI,
			USS_110_ANJIYO_RAPOR_KAYIT.VENTRIKULOGRAFI_DUVAR_HAREKETLERI_DEGERLENDIRMESI AS VENTRIKULOGRAFI_DUVAR_HAREKETLERI_DEGERLENDIRMESI

		
	 INTO #TMPTETKIK
	 FROM   HESAPISL WITH(NOLOCK)
			JOIN HTETKIK WITH(NOLOCK) ON HTETKIK.HESAPISLID = HESAPISL.HESAPISLID
			JOIN TITEM WITH(NOLOCK) ON TITEM.ITEMID = HESAPISL.ITEMID
			LEFT JOIN TBOLUM ISTBOLUM WITH(NOLOCK) ON ISTBOLUM.BOLUMID = HESAPISL.ISTBOLUMID
            LEFT JOIN TBOLUM UYGBOLUM WITH(NOLOCK) ON UYGBOLUM.BOLUMID = HESAPISL.UYGBOLUMID
			LEFT JOIN TDRKIMLIK ISTDR WITH(NOLOCK) ON ISTDR.DRID = HESAPISL.ISTDRID
			LEFT JOIN TDRKIMLIK UYGDR WITH(NOLOCK) ON UYGDR.DRID = HESAPISL.UYGDRID			
			LEFT JOIN USS_110_ANJIYO_RAPOR_KAYIT WITH(NOLOCK) ON USS_110_ANJIYO_RAPOR_KAYIT.HDOSYAID = HESAPISL.HDOSYAID	

	WHERE HESAPISL.IPTAL = 0 AND HESAPISL.ONAYLI = 1 AND HESAPISL.TEKLIF = 0 AND HESAPISL.SNKAYDET=1 
	        AND ITEMKODU2 IN ('700810', 'P700810') 	
			AND HTETKIK.DURUM=2 
			AND HESAPISL.HDOSYAID = @HDOSYAID
			AND (@TUMUNUTEKRAR=1 OR (@TUMUNUTEKRAR=0 AND ISNULL(HTETKIK.USSTETKIKgoNDERILDI,0)=0))
	ORDER BY HESAPISL.HESAPISLID


	SELECT 	SUBELER.SUBEADI AS SUBELER_SUBEADI,			
			HDOSYA.SUBEID AS HDOSYA_SUBEID,
			HDOSYA.SNOTAKIPNO AS HDOSYA_SNOTAKIPNO,
			HTETKIKKART.HTETKIKKARTID AS HTETKIKKART_HTETKIKKARTID,			
			HTETKIKKART.ILKGIRISTRH AS HTETKIKKART_ILKGIRISTRH,
			HTETKIKKART.GIRISTARIH AS HTETKIKKART_GIRISTARIH,
			HKIMLIK.HADI AS HKIMLIK_HADI,
			HKIMLIK.HSOYADI AS HKIMLIK_HSOYADI,
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') AS SAGLIKNETKURUMKODU				
	INTO #TMPTETKIKKART
	FROM	HDOSYA WITH(NOLOCK)
	JOIN HKIMLIK ON HKIMLIK.HKIMLIKID  = HDOSYA.HKIMLIKID 
	JOIN SUBELER WITH(NOLOCK) ON SUBELER.SUBEID = HDOSYA.SUBEID
	JOIN HTETKIKKART WITH(NOLOCK) ON HTETKIKKART.HDOSYAID = HDOSYA.HDOSYAID	   
	WHERE   HDOSYA.HDTEKLIF = 0
		AND	HDOSYA.HDIPTAL = 0
		AND HDOSYA.HDOSYAID = @HDOSYAID
		AND (@HTETKIKKARTID=0 OR HTETKIKKART.HTETKIKKARTID=@HTETKIKKARTID)
	ORDER BY HTETKIKKART.HTETKIKKARTID



	IF (SELECT COUNT(*) FROM #TMPTETKIKKART) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Tetkik Tamamlanmamış durumunda olabilir yada Dosyaya ait tetkik kaydı bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPTETKIK) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Tetkik içeriği doldurulmamış yada tetkik Tamamlanmamış durumunda olabilir. Dolu Kayıt bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPTETKIKKART WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'İşlemin şube kaydı bulunamadı! '

	IF (SELECT COUNT(*) FROM #TMPTETKIKKART WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine tetkik kaydı yapılamaz. '

   	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPTETKIKKART
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END



	IF @HATA='' AND @SAYIHATA=0
	BEGIN


		--HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
   		DECLARE @CURHTETKIKKARTID INT
		DECLARE CURTETKIKKART CURSOR FOR SELECT HTETKIKKART_HTETKIKKARTID FROM #TMPTETKIKKART
		OPEN CURTETKIKKART
		FETCH NEXT FROM CURTETKIKKART INTO @CURHTETKIKKARTID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0


					IF EXISTS(SELECT * FROM #TMPTETKIK WHERE HTETKIK_DURUM<>2 AND HTETKIK_HTETKIKKARTID=@CURHTETKIKKARTID)
						SET @HATA = @HATA + ISNULL((SELECT TOP 1 ISNULL(HKIMLIK_HADI,'') + ' ' + ISNULL(HKIMLIK_HSOYADI,'') + '''e ' + ISNULL(CONVERT(VARCHAR,HTETKIKKART_GIRISTARIH),'') +' tarihinde yapılan ' +TITEM_ITEMADI FROM #TMPTETKIKKART JOIN  #TMPTETKIK ON HTETKIKKART_HTETKIKKARTID=HTETKIK_HTETKIKKARTID WHERE HTETKIK_DURUM<>2 AND HTETKIKKART_HTETKIKKARTID=@CURHTETKIKKARTID ),'') + + ' işlemi tamamlanmamış durumdadır. '

					IF EXISTS(SELECT * FROM #TMPTETKIK WHERE ISNULL(HESAPISL_SNOgoNDERILDI,0)<>1 AND HTETKIK_HTETKIKKARTID=@CURHTETKIKKARTID)
						SET @HATA = @HATA + ISNULL((SELECT TOP 1 ISNULL(HKIMLIK_HADI,'') + ' ' + ISNULL(HKIMLIK_HSOYADI,'') + '''e ' + ISNULL(CONVERT(VARCHAR,HTETKIKKART_GIRISTARIH),'') +' tarihinde yapılan ' +TITEM_ITEMADI FROM #TMPTETKIKKART JOIN  #TMPTETKIK ON HTETKIKKART_HTETKIKKARTID=HTETKIK_HTETKIKKARTID WHERE ISNULL(HESAPISL_SNOgoNDERILDI,0)<>1  AND HTETKIKKART_HTETKIKKARTID=@CURHTETKIKKARTID ),'')++ ' işlemi USS''ye hizmet gönderimini yapınız '

					IF EXISTS(SELECT HTETKIK_HTETKIKID FROM #TMPTETKIK WHERE  ISNULL(TTETKIKDOKTOR_HEKIM_KIMLIK_NUMARASI,'')='')
						SET @HATA = @HATA + ' ' + 'Tetkik istemini yapan doktorun TC Kimlik numarası tanımlanmamış. '
						

					IF (SELECT COUNT(*) FROM #TMPTETKIK WHERE HTETKIK_HTETKIKKARTID=@CURHTETKIKKARTID) > 0
					BEGIN
						IF @HATA = '' AND @SAYIHATA=0
						BEGIN
							BEGIN TRY 
								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT							 
									(

										SELECT 
										   NEWID() AS 'messageGuid/@value',
										   '1' AS 'messageType/@version',
										   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
										   '110' AS 'messageType/@code',
										   'Anjiyografi Rapor Kayıt ' AS 'messageType/@value',
										   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
										   (
											  SELECT	
												 '1' AS 'healthcareProvider/@version',
												 'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
												 SAGLIKNETKURUMKODU as 'healthcareProvider/@code',
												 SUBELER_SUBEADI as 'healthcareProvider/@value'  
												 FOR XML PATH('author'), TYPE),
												 'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value' ,
												 (
													SELECT 
														(
														   SELECT 
															  (
																 SELECT  
																     																		
																		
																		'1' AS 'KORONER_SISTEM_BASKINLIK_BILGISI/@version',
																		'e22e2d85-bd88-4896-9c41-75097a2f2e57' AS 'KORONER_SISTEM_BASKINLIK_BILGISI/@codeSystemGuid',
																		ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_KORONER_SISTEM_BASKINLIK_BILGISI,'')AS 'KORONER_SISTEM_BASKINLIK_BILGISI/@code',
																		CASE WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_KORONER_SISTEM_BASKINLIK_BILGISI,'')='1' THEN 'Left Dominance'
																			 WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_KORONER_SISTEM_BASKINLIK_BILGISI,'')='2' THEN 'Right Dominance'
																			 ELSE '' END  AS 'KORONER_SISTEM_BASKINLIK_BILGISI/@value',
                                                                        ISNULL(DBO.RTF2Text(USS_110_ANJIYO_RAPOR_KAYIT_ANJIYOGRAFI_KARAR), '') AS 'ANJIYOGRAFI_KARAR/@value',
																		ISNULL(DBO.RTF2Text(USS_110_ANJIYO_RAPOR_KAYIT_ANJIYOGRAFI_SONUC), '') AS 'ANJIYOGRAFI_SONUC/@value',
																		LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),HTETKIK_RAPOR_TARIHI,120),' ',''),'-',''),':',''),12)	 AS 'RAPOR_TARIHI/@value',
																		
																		(
																			 SELECT  
																     																		
																					--<LEFT_DOMINANCE version="1" codeSystemGuid="2cb612c2-08aa-4c99-b300-9859826ae83a" code="Code" value="LEFT_DOMINANCE" />
																					
																					'1' AS 'LEFT_DOMINANCE/@version',
																					'2cb612c2-08aa-4c99-b300-9859826ae83a' AS 'LEFT_DOMINANCE/@codeSystemGuid',
																					ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_LEFT_DOMINANCE,'')AS 'LEFT_DOMINANCE/@code',
																					(SELECT TSNLEFTDOMINANCE.LEFTDOMINANCEADI FROM TSNLEFTDOMINANCE 
																					WHERE TSNLEFTDOMINANCE.LEFTDOMINANCEKODU=USS_110_ANJIYO_RAPOR_KAYIT_LEFT_DOMINANCE)  AS 'LEFT_DOMINANCE/@value',
																					
																					--<RIGHT_DOMINANCE version="1" codeSystemGuid="451ed57b-aee4-4930-9680-62ed5f8c07c5" code="Code" value="RIGHT_DOMINANCE" />
																					'1' AS 'RIGHT_DOMINANCE/@version',
																					'451ed57b-aee4-4930-9680-62ed5f8c07c5' AS 'RIGHT_DOMINANCE/@codeSystemGuid',
																					ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_RIGHT_DOMINANCE,'')AS 'RIGHT_DOMINANCE/@code',
																					(SELECT TSNRIGHTDOMINANCE.RIGHTDOMINANCEADI FROM TSNRIGHTDOMINANCE 
																					WHERE TSNRIGHTDOMINANCE.RIGHTDOMINANCEKODU=USS_110_ANJIYO_RAPOR_KAYIT_RIGHT_DOMINANCE)  AS 'RIGHT_DOMINANCE/@value',
																					
																					--<ACCESSION_NUMBER value="ACCESSION_NUMBER" />
																					ISNULL(HTETKIK_ACCESSION_NUMBER, '') AS 'ACCESSION_NUMBER/@value',

																					-- <ISLEM_REFERANS_NUMARASI value="ISLEM_REFERANS_NUMARASI" />
																					ISNULL(HESAPISL_ISLEM_REFERANS_NUMARASI, '') AS 'ISLEM_REFERANS_NUMARASI/@value',

																					--<DAMAR_DARLIK_BILGISI value="DAMAR_DARLIK_BILGISI" />
																					ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_DAMAR_DARLIK_BILGISI, '') AS 'DAMAR_DARLIK_BILGISI/@value',

																					--<DAMAR_YAPISI version="1" codeSystemGuid="dc454022-01d0-4a56-90af-5fa44f1e515f" code="Code" value="DAMAR_YAPISI" />
																					'1' AS 'DAMAR_YAPISI/@version',
																					'dc454022-01d0-4a56-90af-5fa44f1e515f' AS 'DAMAR_YAPISI/@codeSystemGuid',
																					ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_DAMAR_YAPISI,'')AS 'DAMAR_YAPISI/@code',
																					(SELECT TSNDAMARYAPISI.DAMARYAPISIADI FROM TSNDAMARYAPISI 
																					WHERE TSNDAMARYAPISI.DAMARYAPISIKODU=USS_110_ANJIYO_RAPOR_KAYIT_DAMAR_YAPISI)  AS 'DAMAR_YAPISI/@value',

																					--<TROMBUS version="1" codeSystemGuid="7345c028-784d-4d95-972e-2b1e5253f518" code="Code" value="TROMBUS" />
																					'1' AS 'TROMBUS/@version',
																					'7345c028-784d-4d95-972e-2b1e5253f518' AS 'TROMBUS/@codeSystemGuid',
																					ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_TROMBUS,'')AS 'TROMBUS/@code',
																					CASE WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_TROMBUS,'')='1' THEN 'VAR'
																						 WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_TROMBUS,'')='2' THEN 'YOK' END
																					AS 'TROMBUS/@value',

																					--<DISEKSIYON version="1" codeSystemGuid="7345c028-784d-4d95-972e-2b1e5253f518" code="Code" value="DISEKSIYON" />
																					'1' AS 'DISEKSIYON/@version',
																					'7345c028-784d-4d95-972e-2b1e5253f518' AS 'DISEKSIYON/@codeSystemGuid',
																					ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_DISEKSIYON,'')AS 'DISEKSIYON/@code',
																					CASE WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_DISEKSIYON,'')='1' THEN 'VAR'
																						 WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_DISEKSIYON,'')='2' THEN 'YOK' END
																					AS 'DISEKSIYON/@value',
																					--<LEZYON_UZUNLUGU version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" code="Code" value="LEZYON_UZUNLUGU" />
																					'1' AS 'LEZYON_UZUNLUGU/@version',
																					'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'LEZYON_UZUNLUGU/@codeSystemGuid',
																					ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_LEZYON_UZUNLUGU,'')AS 'LEZYON_UZUNLUGU/@code',
																					CASE WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_LEZYON_UZUNLUGU,'')='1' THEN 'EVET'
																						 WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_LEZYON_UZUNLUGU,'')='2' THEN 'HAYIR' END
																					AS 'LEZYON_UZUNLUGU/@value',

																					--<BIFURKASYON version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" code="Code" value="BIFURKASYON" />
																					'1' AS 'BIFURKASYON/@version',
																					'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'BIFURKASYON/@codeSystemGuid',
																					ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_BIFURKASYON,'')AS 'BIFURKASYON/@code',
																					CASE WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_BIFURKASYON,'')='1' THEN 'EVET'
																						 WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_BIFURKASYON,'')='2' THEN 'HAYIR' END
																					AS 'BIFURKASYON/@value',
																					
																					--<YAVAS_AKIM version="1" codeSystemGuid="c9d56fee-d143-4602-ad7b-ba131ef92ad9" code="Code" value="YAVAS_AKIM" />
																					'1' AS 'YAVAS_AKIM/@version',
																					'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'YAVAS_AKIM/@codeSystemGuid',
																					ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_BIFURKASYON,'')AS 'YAVAS_AKIM/@code',
																					CASE WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_YAVAS_AKIM,'')='1' THEN 'EVET'
																						 WHEN ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_YAVAS_AKIM,'')='2' THEN 'HAYIR' END
																					AS 'YAVAS_AKIM/@value',

																					--<DIGER value="DIGER" />
																					ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_DIGER, '') AS 'DIGER/@value',

																					--<UYGULANAN_ISLEM_REFERANS_NUMARASI value="UYGULANAN_ISLEM_REFERANS_NUMARASI" />
																					ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_UYGULANAN_ISLEM_REFERANS_NUMARASI, '') AS 'UYGULANAN_ISLEM_REFERANS_NUMARASI/@value'
																		
																			FROM #TMPTETKIK
																			WHERE HTETKIK_HTETKIKKARTID = HTETKIKKART_HTETKIKKARTID
																			FOR XML PATH('UYGULANAN_ISLEM_BILGISI'),TYPE



																	),
																														
													(
														SELECT ISNULL(TTETKIKDOKTOR_HEKIM_KIMLIK_NUMARASI, '') AS 'HEKIM_KIMLIK_NUMARASI/@value'
														FROM #TMPTETKIK
														WHERE HTETKIK_HTETKIKKARTID = HTETKIKKART_HTETKIKKARTID
														FOR XML PATH('KARDIYOLOJI_HEKIM_BILGISI'), TYPE 
													),
																														
													(
													  SELECT
															'1' AS 'VENTRIKULOGRAFI_DUVAR_BOLGESI_DEGERLENDIRMESI/@version',
															'07207b53-e132-40ef-99a1-195d7056c362' AS 'VENTRIKULOGRAFI_DUVAR_BOLGESI_DEGERLENDIRMESI/@codeSystemGuid',
															ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_DAMAR_YAPISI,'')AS 'VENTRIKULOGRAFI_DUVAR_BOLGESI_DEGERLENDIRMESI/@code',
															(SELECT TSNVENTRIKULOGRAFIDUVARBOLGESI.VENTRIKULOGRAFIDUVARBOLGESIADI FROM TSNVENTRIKULOGRAFIDUVARBOLGESI
															WHERE TSNVENTRIKULOGRAFIDUVARBOLGESI.VENTRIKULOGRAFIDUVARBOLGESIKODU=VENTRIKULOGRAFI_DUVAR_BOLGESI_DEGERLENDIRMESI)  AS 'VENTRIKULOGRAFI_DUVAR_BOLGESI_DEGERLENDIRMESI/@value',

															'1' AS 'VENTRIKULOGRAFI_DUVAR_HAREKETLERI_DEGERLENDIRMESI/@version',
															'f8d5f67a-b4f3-4459-a99d-fb306fc86493' AS 'VENTRIKULOGRAFI_DUVAR_HAREKETLERI_DEGERLENDIRMESI/@codeSystemGuid',
															ISNULL(USS_110_ANJIYO_RAPOR_KAYIT_DAMAR_YAPISI,'')AS 'VENTRIKULOGRAFI_DUVAR_HAREKETLERI_DEGERLENDIRMESI/@code',
															(SELECT TSNVENTRIKULOGRAFIDUVARHAREKETLERI.VENTRIKULOGRAFIDUVARHAREKETLERIADI FROM TSNVENTRIKULOGRAFIDUVARHAREKETLERI
															WHERE TSNVENTRIKULOGRAFIDUVARHAREKETLERI.VENTRIKULOGRAFIDUVARHAREKETLERIKODU=VENTRIKULOGRAFI_DUVAR_HAREKETLERI_DEGERLENDIRMESI)  AS 'VENTRIKULOGRAFI_DUVAR_HAREKETLERI_DEGERLENDIRMESI/@value'

														FROM #TMPTETKIK
														WHERE HTETKIK_HTETKIKKARTID = HTETKIKKART_HTETKIKKARTID
														FOR XML PATH('VENTRIKULOGRAFI_DUVAR_HAREKETLERI_BILGISI'), TYPE 
													)																	
																		
																FROM #TMPTETKIK
																WHERE HTETKIK_HTETKIKKARTID = HTETKIKKART_HTETKIKKARTID
																FOR XML PATH('ANJIYO_RAPOR_BILGISI'),TYPE
															)
														FOR XML PATH('ANJIYO_RAPOR_BILGILERI'),TYPE
													),		
													(
														SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
														FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
													)							
												 FOR XML PATH('recordData'), TYPE
											  )
										   FROM #TMPTETKIKKART WITH(NOLOCK)
										   WHERE HTETKIKKART_HTETKIKKARTID = @CURHTETKIKKARTID
										FOR XML PATH (''), ROOT('SYSMessage')


									) AS goNDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@CURHTETKIKKARTID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS goNDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@CURHTETKIKKARTID AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH
						END
						ELSE
						BEGIN

							INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS goNDERILECEKXML,
									LEFT(@HATA,2000) AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURHTETKIKKARTID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							SET @HATA = ''		 
						END
					END




		FETCH NEXT FROM CURTETKIKKART INTO @CURHTETKIKKARTID 
		END --son HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
	

		CLOSE CURTETKIKKART
		DEALLOCATE CURTETKIKKART

		IF (SELECT COUNT(*) FROM @GONDERIMTABLOSU)=0
			INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
			SELECT	'' AS GONDERILECEKXML,
					'' AS HATA, 
					'Tüm tetkikler zaten gönderilmiş' AS MESAJ,
					'' AS XMLBASLIK,
					0 AS TABLOID,
					0 AS MINID,
					0 AS MAXID


	END
	ELSE
	BEGIN

		INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS goNDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@CURHTETKIKKARTID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''		 
	END


	
	IF OBJECT_ID('tempdb..#TMPTETKIKSONUC') IS NOT NULL 
	DROP TABLE #TMPTETKIKSONUC

	IF OBJECT_ID('tempdb..#TMPTETKIK') IS NOT NULL 
	DROP TABLE #TMPTETKIK

	IF OBJECT_ID('tempdb..#TMPTETKIKKART') IS NOT NULL 
	DROP TABLE #TMPTETKIKKART


	SELECT * FROM @goNDERIMTABLOSU


END
